Makro Přímka podle délky

From FreeCAD Documentation
Revision as of 11:46, 21 March 2015 by FuzzyBot (talk | contribs) (Updating to match new version of source page)
Jump to navigation Jump to search

32px Macro Line_Length

Popis
Vytvoří přímku danou argumenty jež jsou souřadnice XYZ, délka a úhel.

Autor
mario52
Download
None
Odkazy
Verze
1.0
Datum poslední úpravy
None
Verze FreeCAD
None
Výchozí zástupce
None
Viz též
None


Toto malé makro vytvoří přímku danou argumenty jež jsou souřadnice XYZ, délka a úhel.

Použití

Může být použito z editoru maker FreeCADu.

Je-li toto makro zkopírováno do konzoly Pythonu, můžete je použít takto:

>>> line_length(x1 = 0, y1 = 0, z1 = 0, length = 10, angle = 45)

nebo jinak

>>> line_length(x1 = 10, y1 = 10, z1 = 0, length = 50)

>>> line_length(length = 50, angle = 45)

defaultní hodnoty jsou : x1 = 0, y1 = 0, z1 = 0, length(délka) = 10, angle(úhel) = 0

Script

Macro Line_Length.py

# -*- coding: utf-8 -*-
# créer une ligne avec une coordonnée une longueur et un angle sur le plan X Y
# create line with coordinate length and angle to plane X Y
import FreeCAD, FreeCADGui, Draft
from math import cos, sin, radians
#from FreeCAD import Base
 
def line_length(x1 = 0.0, y1 = 0.0, z1 = 0.0, length = 10.0, angle = 0.0):
    x2 = x1 + (length * cos(radians(angle)))
    y2 = y1 + (length * sin(radians(angle)))
    z2 = z1 #+ ()
    Draft.makeWire([FreeCAD.Vector(x1,y1,z1),FreeCAD.Vector(x2,y2,z2)])
 
x1 = 0.0          # Edit coordinate x1 origin
y1 = 0.0          # Edit coordinate y1 origin
z1 = 0.0          # Edit coordinate z1 origin
length = 50.0       # Edit length
angle  = 45.0       # Edit angle plane XY
 
line_length(x1, y1, z1, length, angle)
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎čeština